Unit MyDef;

{ WolfEnstein clone - with 3D Texture mapping

Copyright (C) 1997 TothPaul@mygale.org
 http://www.mygale.org/~tothpaul

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
}

Interface

Const
 North=0;   // 0
 South=128; // 180
 East =192; // -90
 West =64;  // +90

Type
 Integer=SmallInt; // quick way to downsize Integer to 16bits !
 Real=single;

{ Wall orientation }
// TAxis=(North,South,East,West);

{ Wall record }
 TWall=packed record
  Axis :byte;{ Orientation }
  Width:word; { new in version 4 }
  Door :Byte; { See-through Room }
  Image:Byte; { Wall Picture }
 end;

{ Room Record }
 PRoom=^TRoom;
 TRoom=packed record
  Top   :word;
  Left  :word;
  Right :word;
  Bottom:word;
  Height:integer;
  WallCount:byte;
  Walls:array[1..255] of TWall;
 end;

{ Rooms List }
 TRooms   =array[1..255] of PRoom;
 TRoomSize=array[1..255] of word;

{ Pictures }
 PPicture =^TPicture;
 TPicture =array[0..63,0..63] of byte;
 TPictures=array[1..255] of TPicture; // Delphi support big array :)

{ Sprites - for later...
 PSprite  =^TSprite;
 TSprite  =record
  Top,Left:word;
  Index   :word;
 end;

 PRoomSprites =^TRoomSprites;
 TRoomSprites =Record
  SpriteCount:word;
  Sprite:array[1..255] of TSprite
 end;

 TSprites=array[1..255] of PRoomSprites;
}

Implementation
end.